CfDef (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class CfDef

    java.lang.Object
      org.apache.cassandra.thrift.CfDef

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<CfDef>, org.apache.thrift.TBase<CfDef,CfDef._Fields>

    public class CfDef

extends java.lang.Object
implements org.apache.thrift.TBase<CfDef,CfDef._Fields>, java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `CfDef._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`double` | `bloom_filter_fp_chance`
`java.util.List<ColumnDef>` | `column_metadata`
`java.lang.String` | `column_type`
`java.lang.String` | `comment`
`java.lang.String` | `compaction_strategy`
`java.util.Map<java.lang.String,java.lang.String>` | `compaction_strategy_options`
`java.lang.String` | `comparator_type`
`java.util.Map<java.lang.String,java.lang.String>` | `compression_options`
`java.lang.String` | `default_validation_class`
`int` | `gc_grace_seconds`
`int` | `id`
`java.nio.ByteBuffer` | `key_alias`
`int` | `key_cache_save_period_in_seconds`
`double` | `key_cache_size`
`java.lang.String` | `key_validation_class`
`java.lang.String` | `keyspace`
`int` | `max_compaction_threshold`
`double` | `merge_shards_chance`
`static java.util.Map<CfDef._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
`int` | `min_compaction_threshold`
`java.lang.String` | `name`
`double` | `read_repair_chance`
`boolean` | `replicate_on_write`
`int` | `row_cache_keys_to_save`
`java.lang.String` | `row_cache_provider`
`int` | `row_cache_save_period_in_seconds`
`double` | `row_cache_size`
`java.lang.String` | `subcomparator_type`

Constructor Summary
`CfDef()`
`CfDef(CfDef other)` Performs a deep copy on other.
`CfDef(java.lang.String keyspace, java.lang.String name)`

Method Summary
`void` | `addToColumn_metadata(ColumnDef elem)`
`java.nio.ByteBuffer` | `bufferForKey_alias()`
`void` | `clear()`
`int` | `compareTo(CfDef other)`
`CfDef` | `deepCopy()`
`boolean` | `equals(CfDef that)`
`boolean` | `equals(java.lang.Object that)`
`CfDef._Fields` | `fieldForId(int fieldId)`
`double` | `getBloom_filter_fp_chance()`
`java.util.List<ColumnDef>` | `getColumn_metadata()`
`java.util.Iterator<ColumnDef>` | `getColumn_metadataIterator()`
`int` | `getColumn_metadataSize()`
`java.lang.String` | `getColumn_type()`
`java.lang.String` | `getComment()`
`java.util.Map<java.lang.String,java.lang.String>` | `getCompaction_strategy_options()`
`int` | `getCompaction_strategy_optionsSize()`
`java.lang.String` | `getCompaction_strategy()`
`java.lang.String` | `getComparator_type()`
`java.util.Map<java.lang.String,java.lang.String>` | `getCompression_options()`
`int` | `getCompression_optionsSize()`
`java.lang.String` | `getDefault_validation_class()`
`java.lang.Object` | `getFieldValue(CfDef._Fields field)`
`int` | `getGc_grace_seconds()`
`int` | `getId()`
`byte[]` | `getKey_alias()`
`int` | `getKey_cache_save_period_in_seconds()`
`double` | `getKey_cache_size()`
`java.lang.String` | `getKey_validation_class()`
`java.lang.String` | `getKeyspace()`
`int` | `getMax_compaction_threshold()`
`double` | `getMerge_shards_chance()`
`int` | `getMin_compaction_threshold()`
`java.lang.String` | `getName()`
`double` | `getRead_repair_chance()`
`int` | `getRow_cache_keys_to_save()`
`java.lang.String` | `getRow_cache_provider()`
`int` | `getRow_cache_save_period_in_seconds()`
`double` | `getRow_cache_size()`
`java.lang.String` | `getSubcomparator_type()`
`int` | `hashCode()`
`boolean` | `isReplicate_on_write()`
`boolean` | `isSet(CfDef._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` | `isSetBloom_filter_fp_chance()` Returns true if field bloom_filter_fp_chance is set (has been assigned a value) and false otherwise
`boolean` | `isSetColumn_metadata()` Returns true if field column_metadata is set (has been assigned a value) and false otherwise
`boolean` | `isSetColumn_type()` Returns true if field column_type is set (has been assigned a value) and false otherwise
`boolean` | `isSetComment()` Returns true if field comment is set (has been assigned a value) and false otherwise
`boolean` | `isSetCompaction_strategy_options()` Returns true if field compaction_strategy_options is set (has been assigned a value) and false otherwise
`boolean` | `isSetCompaction_strategy()` Returns true if field compaction_strategy is set (has been assigned a value) and false otherwise
`boolean` | `isSetComparator_type()` Returns true if field comparator_type is set (has been assigned a value) and false otherwise
`boolean` | `isSetCompression_options()` Returns true if field compression_options is set (has been assigned a value) and false otherwise
`boolean` | `isSetDefault_validation_class()` Returns true if field default_validation_class is set (has been assigned a value) and false otherwise
`boolean` | `isSetGc_grace_seconds()` Returns true if field gc_grace_seconds is set (has been assigned a value) and false otherwise
`boolean` | `isSetId()` Returns true if field id is set (has been assigned a value) and false otherwise
`boolean` | `isSetKey_alias()` Returns true if field key_alias is set (has been assigned a value) and false otherwise
`boolean` | `isSetKey_cache_save_period_in_seconds()` Returns true if field key_cache_save_period_in_seconds is set (has been assigned a value) and false otherwise
`boolean` | `isSetKey_cache_size()` Returns true if field key_cache_size is set (has been assigned a value) and false otherwise
`boolean` | `isSetKey_validation_class()` Returns true if field key_validation_class is set (has been assigned a value) and false otherwise
`boolean` | `isSetKeyspace()` Returns true if field keyspace is set (has been assigned a value) and false otherwise
`boolean` | `isSetMax_compaction_threshold()` Returns true if field max_compaction_threshold is set (has been assigned a value) and false otherwise
`boolean` | `isSetMerge_shards_chance()` Returns true if field merge_shards_chance is set (has been assigned a value) and false otherwise
`boolean` | `isSetMin_compaction_threshold()` Returns true if field min_compaction_threshold is set (has been assigned a value) and false otherwise
`boolean` | `isSetName()` Returns true if field name is set (has been assigned a value) and false otherwise
`boolean` | `isSetRead_repair_chance()` Returns true if field read_repair_chance is set (has been assigned a value) and false otherwise
`boolean` | `isSetReplicate_on_write()` Returns true if field replicate_on_write is set (has been assigned a value) and false otherwise
`boolean` | `isSetRow_cache_keys_to_save()` Returns true if field row_cache_keys_to_save is set (has been assigned a value) and false otherwise
`boolean` | `isSetRow_cache_provider()` Returns true if field row_cache_provider is set (has been assigned a value) and false otherwise
`boolean` | `isSetRow_cache_save_period_in_seconds()` Returns true if field row_cache_save_period_in_seconds is set (has been assigned a value) and false otherwise
`boolean` | `isSetRow_cache_size()` Returns true if field row_cache_size is set (has been assigned a value) and false otherwise
`boolean` | `isSetSubcomparator_type()` Returns true if field subcomparator_type is set (has been assigned a value) and false otherwise
`void` | `putToCompaction_strategy_options(java.lang.String key, java.lang.String val)`
`void` | `putToCompression_options(java.lang.String key, java.lang.String val)`
`void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
`CfDef` | `setBloom_filter_fp_chance(double bloom_filter_fp_chance)`
`void` | `setBloom_filter_fp_chanceIsSet(boolean value)`
`CfDef` | `setColumn_metadata(java.util.List<ColumnDef> column_metadata)`
`void` | `setColumn_metadataIsSet(boolean value)`
`CfDef` | `setColumn_type(java.lang.String column_type)`
`void` | `setColumn_typeIsSet(boolean value)`
`CfDef` | `setComment(java.lang.String comment)`
`void` | `setCommentIsSet(boolean value)`
`CfDef` | `setCompaction_strategy_options(java.util.Map<java.lang.String,java.lang.String> compaction_strategy_options)`
`void` | `setCompaction_strategy_optionsIsSet(boolean value)`
`CfDef` | `setCompaction_strategy(java.lang.String compaction_strategy)`
`void` | `setCompaction_strategyIsSet(boolean value)`
`CfDef` | `setComparator_type(java.lang.String comparator_type)`
`void` | `setComparator_typeIsSet(boolean value)`
`CfDef` | `setCompression_options(java.util.Map<java.lang.String,java.lang.String> compression_options)`
`void` | `setCompression_optionsIsSet(boolean value)`
`CfDef` | `setDefault_validation_class(java.lang.String default_validation_class)`
`void` | `setDefault_validation_classIsSet(boolean value)`
`void` | `setFieldValue(CfDef._Fields field, java.lang.Object value)`
`CfDef` | `setGc_grace_seconds(int gc_grace_seconds)`
`void` | `setGc_grace_secondsIsSet(boolean value)`
`CfDef` | `setId(int id)`
`void` | `setIdIsSet(boolean value)`
`CfDef` | `setKey_alias(byte[] key_alias)`
`CfDef` | `setKey_alias(java.nio.ByteBuffer key_alias)`
`void` | `setKey_aliasIsSet(boolean value)`
`CfDef` | `setKey_cache_save_period_in_seconds(int key_cache_save_period_in_seconds)`
`void` | `setKey_cache_save_period_in_secondsIsSet(boolean value)`
`CfDef` | `setKey_cache_size(double key_cache_size)`
`void` | `setKey_cache_sizeIsSet(boolean value)`
`CfDef` | `setKey_validation_class(java.lang.String key_validation_class)`
`void` | `setKey_validation_classIsSet(boolean value)`
`CfDef` | `setKeyspace(java.lang.String keyspace)`
`void` | `setKeyspaceIsSet(boolean value)`
`CfDef` | `setMax_compaction_threshold(int max_compaction_threshold)`
`void` | `setMax_compaction_thresholdIsSet(boolean value)`
`CfDef` | `setMerge_shards_chance(double merge_shards_chance)`
`void` | `setMerge_shards_chanceIsSet(boolean value)`
`CfDef` | `setMin_compaction_threshold(int min_compaction_threshold)`
`void` | `setMin_compaction_thresholdIsSet(boolean value)`
`CfDef` | `setName(java.lang.String name)`
`void` | `setNameIsSet(boolean value)`
`CfDef` | `setRead_repair_chance(double read_repair_chance)`
`void` | `setRead_repair_chanceIsSet(boolean value)`
`CfDef` | `setReplicate_on_write(boolean replicate_on_write)`
`void` | `setReplicate_on_writeIsSet(boolean value)`
`CfDef` | `setRow_cache_keys_to_save(int row_cache_keys_to_save)`
`void` | `setRow_cache_keys_to_saveIsSet(boolean value)`
`CfDef` | `setRow_cache_provider(java.lang.String row_cache_provider)`
`void` | `setRow_cache_providerIsSet(boolean value)`
`CfDef` | `setRow_cache_save_period_in_seconds(int row_cache_save_period_in_seconds)`
`void` | `setRow_cache_save_period_in_secondsIsSet(boolean value)`
`CfDef` | `setRow_cache_size(double row_cache_size)`
`void` | `setRow_cache_sizeIsSet(boolean value)`
`CfDef` | `setSubcomparator_type(java.lang.String subcomparator_type)`
`void` | `setSubcomparator_typeIsSet(boolean value)`
`java.lang.String` | `toString()`
`void` | `unsetBloom_filter_fp_chance()`
`void` | `unsetColumn_metadata()`
`void` | `unsetColumn_type()`
`void` | `unsetComment()`
`void` | `unsetCompaction_strategy_options()`
`void` | `unsetCompaction_strategy()`
`void` | `unsetComparator_type()`
`void` | `unsetCompression_options()`
`void` | `unsetDefault_validation_class()`
`void` | `unsetGc_grace_seconds()`
`void` | `unsetId()`
`void` | `unsetKey_alias()`
`void` | `unsetKey_cache_save_period_in_seconds()`
`void` | `unsetKey_cache_size()`
`void` | `unsetKey_validation_class()`
`void` | `unsetKeyspace()`
`void` | `unsetMax_compaction_threshold()`
`void` | `unsetMerge_shards_chance()`
`void` | `unsetMin_compaction_threshold()`
`void` | `unsetName()`
`void` | `unsetRead_repair_chance()`
`void` | `unsetReplicate_on_write()`
`void` | `unsetRow_cache_keys_to_save()`
`void` | `unsetRow_cache_provider()`
`void` | `unsetRow_cache_save_period_in_seconds()`
`void` | `unsetRow_cache_size()`
`void` | `unsetSubcomparator_type()`
`void` | `validate()`
`void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### keyspace

    public java.lang.String keyspace

### name

    public java.lang.String name

### column_type

    public java.lang.String column_type

### comparator_type

    public java.lang.String comparator_type

### subcomparator_type

    public java.lang.String subcomparator_type

### comment

    public java.lang.String comment

### row_cache_size

    public double row_cache_size

### key_cache_size

    public double key_cache_size

### read_repair_chance

    public double read_repair_chance

### column_metadata

    public java.util.List<ColumnDef> column_metadata

### gc_grace_seconds

    public int gc_grace_seconds

### default_validation_class

    public java.lang.String default_validation_class

### id

    public int id

### min_compaction_threshold

    public int min_compaction_threshold

### max_compaction_threshold

    public int max_compaction_threshold

### row_cache_save_period_in_seconds

    public int row_cache_save_period_in_seconds

### key_cache_save_period_in_seconds

    public int key_cache_save_period_in_seconds

### replicate_on_write

    public boolean replicate_on_write

### merge_shards_chance

    public double merge_shards_chance

### key_validation_class

    public java.lang.String key_validation_class

### row_cache_provider

    public java.lang.String row_cache_provider

### key_alias

    public java.nio.ByteBuffer key_alias

### compaction_strategy

    public java.lang.String compaction_strategy

### compaction_strategy_options

    public java.util.Map<java.lang.String,java.lang.String> compaction_strategy_options

### row_cache_keys_to_save

    public int row_cache_keys_to_save

### compression_options

    public java.util.Map<java.lang.String,java.lang.String> compression_options

### bloom_filter_fp_chance

    public double bloom_filter_fp_chance

### metaDataMap

    public static final java.util.Map<CfDef._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### CfDef

    public CfDef()

### CfDef

    public CfDef(java.lang.String keyspace,
                 java.lang.String name)

### CfDef

    public CfDef(CfDef other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public CfDef deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<CfDef,CfDef._Fields>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.apache.thrift.TBase<CfDef,CfDef._Fields>`

### getKeyspace

    public java.lang.String getKeyspace()

### setKeyspace

    public CfDef setKeyspace(java.lang.String keyspace)

### unsetKeyspace

    public void unsetKeyspace()

### isSetKeyspace

    public boolean isSetKeyspace()

  Returns true if field keyspace is set (has been assigned a value) and false otherwise

### setKeyspaceIsSet

    public void setKeyspaceIsSet(boolean value)

### getName

    public java.lang.String getName()

### setName

    public CfDef setName(java.lang.String name)

### unsetName

    public void unsetName()

### isSetName

    public boolean isSetName()

  Returns true if field name is set (has been assigned a value) and false otherwise

### setNameIsSet

    public void setNameIsSet(boolean value)

### getColumn_type

    public java.lang.String getColumn_type()

### setColumn_type

    public CfDef setColumn_type(java.lang.String column_type)

### unsetColumn_type

    public void unsetColumn_type()

### isSetColumn_type

    public boolean isSetColumn_type()

  Returns true if field column_type is set (has been assigned a value) and false otherwise

### setColumn_typeIsSet

    public void setColumn_typeIsSet(boolean value)

### getComparator_type

    public java.lang.String getComparator_type()

### setComparator_type

    public CfDef setComparator_type(java.lang.String comparator_type)

### unsetComparator_type

    public void unsetComparator_type()

### isSetComparator_type

    public boolean isSetComparator_type()

  Returns true if field comparator_type is set (has been assigned a value) and false otherwise

### setComparator_typeIsSet

    public void setComparator_typeIsSet(boolean value)

### getSubcomparator_type

    public java.lang.String getSubcomparator_type()

### setSubcomparator_type

    public CfDef setSubcomparator_type(java.lang.String subcomparator_type)

### unsetSubcomparator_type

    public void unsetSubcomparator_type()

### isSetSubcomparator_type

    public boolean isSetSubcomparator_type()

  Returns true if field subcomparator_type is set (has been assigned a value) and false otherwise

### setSubcomparator_typeIsSet

    public void setSubcomparator_typeIsSet(boolean value)

### getComment

    public java.lang.String getComment()

### setComment

    public CfDef setComment(java.lang.String comment)

### unsetComment

    public void unsetComment()

### isSetComment

    public boolean isSetComment()

  Returns true if field comment is set (has been assigned a value) and false otherwise

### setCommentIsSet

    public void setCommentIsSet(boolean value)

### getRow_cache_size

    public double getRow_cache_size()

### setRow_cache_size

    public CfDef setRow_cache_size(double row_cache_size)

### unsetRow_cache_size

    public void unsetRow_cache_size()

### isSetRow_cache_size

    public boolean isSetRow_cache_size()

  Returns true if field row_cache_size is set (has been assigned a value) and false otherwise

### setRow_cache_sizeIsSet

    public void setRow_cache_sizeIsSet(boolean value)

### getKey_cache_size

    public double getKey_cache_size()

### setKey_cache_size

    public CfDef setKey_cache_size(double key_cache_size)

### unsetKey_cache_size

    public void unsetKey_cache_size()

### isSetKey_cache_size

    public boolean isSetKey_cache_size()

  Returns true if field key_cache_size is set (has been assigned a value) and false otherwise

### setKey_cache_sizeIsSet

    public void setKey_cache_sizeIsSet(boolean value)

### getRead_repair_chance

    public double getRead_repair_chance()

### setRead_repair_chance

    public CfDef setRead_repair_chance(double read_repair_chance)

### unsetRead_repair_chance

    public void unsetRead_repair_chance()

### isSetRead_repair_chance

    public boolean isSetRead_repair_chance()

  Returns true if field read_repair_chance is set (has been assigned a value) and false otherwise

### setRead_repair_chanceIsSet

    public void setRead_repair_chanceIsSet(boolean value)

### getColumn_metadataSize

    public int getColumn_metadataSize()

### getColumn_metadataIterator

    public java.util.Iterator<ColumnDef> getColumn_metadataIterator()

### addToColumn_metadata

    public void addToColumn_metadata(ColumnDef elem)

### getColumn_metadata

    public java.util.List<ColumnDef> getColumn_metadata()

### setColumn_metadata

    public CfDef setColumn_metadata(java.util.List<ColumnDef> column_metadata)

### unsetColumn_metadata

    public void unsetColumn_metadata()

### isSetColumn_metadata

    public boolean isSetColumn_metadata()

  Returns true if field column_metadata is set (has been assigned a value) and false otherwise

### setColumn_metadataIsSet

    public void setColumn_metadataIsSet(boolean value)

### getGc_grace_seconds

    public int getGc_grace_seconds()

### setGc_grace_seconds

    public CfDef setGc_grace_seconds(int gc_grace_seconds)

### unsetGc_grace_seconds

    public void unsetGc_grace_seconds()

### isSetGc_grace_seconds

    public boolean isSetGc_grace_seconds()

  Returns true if field gc_grace_seconds is set (has been assigned a value) and false otherwise

### setGc_grace_secondsIsSet

    public void setGc_grace_secondsIsSet(boolean value)

### getDefault_validation_class

    public java.lang.String getDefault_validation_class()

### setDefault_validation_class

    public CfDef setDefault_validation_class(java.lang.String default_validation_class)

### unsetDefault_validation_class

    public void unsetDefault_validation_class()

### isSetDefault_validation_class

    public boolean isSetDefault_validation_class()

  Returns true if field default_validation_class is set (has been assigned a value) and false otherwise

### setDefault_validation_classIsSet

    public void setDefault_validation_classIsSet(boolean value)

### getId

    public int getId()

### setId

    public CfDef setId(int id)

### unsetId

    public void unsetId()

### isSetId

    public boolean isSetId()

  Returns true if field id is set (has been assigned a value) and false otherwise

### setIdIsSet

    public void setIdIsSet(boolean value)

### getMin_compaction_threshold

    public int getMin_compaction_threshold()

### setMin_compaction_threshold

    public CfDef setMin_compaction_threshold(int min_compaction_threshold)

### unsetMin_compaction_threshold

    public void unsetMin_compaction_threshold()

### isSetMin_compaction_threshold

    public boolean isSetMin_compaction_threshold()

  Returns true if field min_compaction_threshold is set (has been assigned a value) and false otherwise

### setMin_compaction_thresholdIsSet

    public void setMin_compaction_thresholdIsSet(boolean value)

### getMax_compaction_threshold

    public int getMax_compaction_threshold()

### setMax_compaction_threshold

    public CfDef setMax_compaction_threshold(int max_compaction_threshold)

### unsetMax_compaction_threshold

    public void unsetMax_compaction_threshold()

### isSetMax_compaction_threshold

    public boolean isSetMax_compaction_threshold()

  Returns true if field max_compaction_threshold is set (has been assigned a value) and false otherwise

### setMax_compaction_thresholdIsSet

    public void setMax_compaction_thresholdIsSet(boolean value)

### getRow_cache_save_period_in_seconds

    public int getRow_cache_save_period_in_seconds()

### setRow_cache_save_period_in_seconds

    public CfDef setRow_cache_save_period_in_seconds(int row_cache_save_period_in_seconds)

### unsetRow_cache_save_period_in_seconds

    public void unsetRow_cache_save_period_in_seconds()

### isSetRow_cache_save_period_in_seconds

    public boolean isSetRow_cache_save_period_in_seconds()

  Returns true if field row_cache_save_period_in_seconds is set (has been assigned a value) and false otherwise

### setRow_cache_save_period_in_secondsIsSet

    public void setRow_cache_save_period_in_secondsIsSet(boolean value)

### getKey_cache_save_period_in_seconds

    public int getKey_cache_save_period_in_seconds()

### setKey_cache_save_period_in_seconds

    public CfDef setKey_cache_save_period_in_seconds(int key_cache_save_period_in_seconds)

### unsetKey_cache_save_period_in_seconds

    public void unsetKey_cache_save_period_in_seconds()

### isSetKey_cache_save_period_in_seconds

    public boolean isSetKey_cache_save_period_in_seconds()

  Returns true if field key_cache_save_period_in_seconds is set (has been assigned a value) and false otherwise

### setKey_cache_save_period_in_secondsIsSet

    public void setKey_cache_save_period_in_secondsIsSet(boolean value)

### isReplicate_on_write

    public boolean isReplicate_on_write()

### setReplicate_on_write

    public CfDef setReplicate_on_write(boolean replicate_on_write)

### unsetReplicate_on_write

    public void unsetReplicate_on_write()

### isSetReplicate_on_write

    public boolean isSetReplicate_on_write()

  Returns true if field replicate_on_write is set (has been assigned a value) and false otherwise

### setReplicate_on_writeIsSet

    public void setReplicate_on_writeIsSet(boolean value)

### getMerge_shards_chance

    public double getMerge_shards_chance()

### setMerge_shards_chance

    public CfDef setMerge_shards_chance(double merge_shards_chance)

### unsetMerge_shards_chance

    public void unsetMerge_shards_chance()

### isSetMerge_shards_chance

    public boolean isSetMerge_shards_chance()

  Returns true if field merge_shards_chance is set (has been assigned a value) and false otherwise

### setMerge_shards_chanceIsSet

    public void setMerge_shards_chanceIsSet(boolean value)

### getKey_validation_class

    public java.lang.String getKey_validation_class()

### setKey_validation_class

    public CfDef setKey_validation_class(java.lang.String key_validation_class)

### unsetKey_validation_class

    public void unsetKey_validation_class()

### isSetKey_validation_class

    public boolean isSetKey_validation_class()

  Returns true if field key_validation_class is set (has been assigned a value) and false otherwise

### setKey_validation_classIsSet

    public void setKey_validation_classIsSet(boolean value)

### getRow_cache_provider

    public java.lang.String getRow_cache_provider()

### setRow_cache_provider

    public CfDef setRow_cache_provider(java.lang.String row_cache_provider)

### unsetRow_cache_provider

    public void unsetRow_cache_provider()

### isSetRow_cache_provider

    public boolean isSetRow_cache_provider()

  Returns true if field row_cache_provider is set (has been assigned a value) and false otherwise

### setRow_cache_providerIsSet

    public void setRow_cache_providerIsSet(boolean value)

### getKey_alias

    public byte[] getKey_alias()

### bufferForKey_alias

    public java.nio.ByteBuffer bufferForKey_alias()

### setKey_alias

    public CfDef setKey_alias(byte[] key_alias)

### setKey_alias

    public CfDef setKey_alias(java.nio.ByteBuffer key_alias)

### unsetKey_alias

    public void unsetKey_alias()

### isSetKey_alias

    public boolean isSetKey_alias()

  Returns true if field key_alias is set (has been assigned a value) and false otherwise

### setKey_aliasIsSet

    public void setKey_aliasIsSet(boolean value)

### getCompaction_strategy

    public java.lang.String getCompaction_strategy()

### setCompaction_strategy

    public CfDef setCompaction_strategy(java.lang.String compaction_strategy)

### unsetCompaction_strategy

    public void unsetCompaction_strategy()

### isSetCompaction_strategy

    public boolean isSetCompaction_strategy()

  Returns true if field compaction_strategy is set (has been assigned a value) and false otherwise

### setCompaction_strategyIsSet

    public void setCompaction_strategyIsSet(boolean value)

### getCompaction_strategy_optionsSize

    public int getCompaction_strategy_optionsSize()

### putToCompaction_strategy_options

    public void putToCompaction_strategy_options(java.lang.String key,
                                                 java.lang.String val)

### getCompaction_strategy_options

    public java.util.Map<java.lang.String,java.lang.String> getCompaction_strategy_options()

### setCompaction_strategy_options

    public CfDef setCompaction_strategy_options(java.util.Map<java.lang.String,java.lang.String> compaction_strategy_options)

### unsetCompaction_strategy_options

    public void unsetCompaction_strategy_options()

### isSetCompaction_strategy_options

    public boolean isSetCompaction_strategy_options()

  Returns true if field compaction_strategy_options is set (has been assigned a value) and false otherwise

### setCompaction_strategy_optionsIsSet

    public void setCompaction_strategy_optionsIsSet(boolean value)

### getRow_cache_keys_to_save

    public int getRow_cache_keys_to_save()

### setRow_cache_keys_to_save

    public CfDef setRow_cache_keys_to_save(int row_cache_keys_to_save)

### unsetRow_cache_keys_to_save

    public void unsetRow_cache_keys_to_save()

### isSetRow_cache_keys_to_save

    public boolean isSetRow_cache_keys_to_save()

  Returns true if field row_cache_keys_to_save is set (has been assigned a value) and false otherwise

### setRow_cache_keys_to_saveIsSet

    public void setRow_cache_keys_to_saveIsSet(boolean value)

### getCompression_optionsSize

    public int getCompression_optionsSize()

### putToCompression_options

    public void putToCompression_options(java.lang.String key,
                                         java.lang.String val)

### getCompression_options

    public java.util.Map<java.lang.String,java.lang.String> getCompression_options()

### setCompression_options

    public CfDef setCompression_options(java.util.Map<java.lang.String,java.lang.String> compression_options)

### unsetCompression_options

    public void unsetCompression_options()

### isSetCompression_options

    public boolean isSetCompression_options()

  Returns true if field compression_options is set (has been assigned a value) and false otherwise

### setCompression_optionsIsSet

    public void setCompression_optionsIsSet(boolean value)

### getBloom_filter_fp_chance

    public double getBloom_filter_fp_chance()

### setBloom_filter_fp_chance

    public CfDef setBloom_filter_fp_chance(double bloom_filter_fp_chance)

### unsetBloom_filter_fp_chance

    public void unsetBloom_filter_fp_chance()

### isSetBloom_filter_fp_chance

    public boolean isSetBloom_filter_fp_chance()

  Returns true if field bloom_filter_fp_chance is set (has been assigned a value) and false otherwise

### setBloom_filter_fp_chanceIsSet

    public void setBloom_filter_fp_chanceIsSet(boolean value)

### setFieldValue

    public void setFieldValue(CfDef._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<CfDef,CfDef._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(CfDef._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<CfDef,CfDef._Fields>`

### isSet

    public boolean isSet(CfDef._Fields field)

  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<CfDef,CfDef._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(CfDef that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(CfDef other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<CfDef>`

### fieldForId

    public CfDef._Fields fieldForId(int fieldId)

  Specified by:
    `fieldForId` in interface `org.apache.thrift.TBase<CfDef,CfDef._Fields>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<CfDef,CfDef._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<CfDef,CfDef._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation